## net.dontdrinkandroot.wicket.behavior.jqueryui
Class JQueryUiDraggableAddToListBehavior

    java.lang.Object
      org.apache.wicket.behavior.Behavior
          net.dontdrinkandroot.wicket.behavior.jqueryui.JQueryUiDraggableAddToListBehavior

All Implemented Interfaces:
  java.io.Serializable, org.apache.wicket.IComponentAwareEventSink, org.apache.wicket.markup.html.IComponentAwareHeaderContributor, org.apache.wicket.util.io.IClusterable

    public class JQueryUiDraggableAddToListBehavior

extends org.apache.wicket.behavior.Behavior

See Also:
  Serialized Form

Constructor Summary
`JQueryUiDraggableAddToListBehavior(JQueryUiSortableList<?> sortableList)`
`JQueryUiDraggableAddToListBehavior(java.lang.String listComponentId)`

Method Summary
`protected java.lang.String` `getCreateHelperScript(org.apache.wicket.Component component)`
`void` `renderHead(org.apache.wicket.Component component, org.apache.wicket.markup.head.IHeaderResponse response)`

Methods inherited from class org.apache.wicket.behavior.Behavior
`afterRender, beforeRender, bind, canCallListenerInterface, detach, getStatelessHint, isEnabled, isTemporary, onComponentTag, onConfigure, onEvent, onException, onRemove, unbind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JQueryUiDraggableAddToListBehavior

    public JQueryUiDraggableAddToListBehavior(JQueryUiSortableList<?> sortableList)

### JQueryUiDraggableAddToListBehavior

    public JQueryUiDraggableAddToListBehavior(java.lang.String listComponentId)

Method Detail

### renderHead

    public void renderHead(org.apache.wicket.Component component,
                           org.apache.wicket.markup.head.IHeaderResponse response)

  Specified by:
    `renderHead` in interface `org.apache.wicket.markup.html.IComponentAwareHeaderContributor`
  Overrides:
    `renderHead` in class `org.apache.wicket.behavior.Behavior`

### getCreateHelperScript

    protected java.lang.String getCreateHelperScript(org.apache.wicket.Component component)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.